Debian Bug report logs - #568261
drop removed parameters from lh_config

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Andrew Brampton <a.brampton@lancaster.ac.uk>

Date: Wed, 3 Feb 2010 14:24:02 UTC

Severity: minor

Found in version live-helper/2.0~a3-1

Fixed in version live-helper/2.0~a7-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#568261; Package live-helper. (Wed, 03 Feb 2010 14:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Brampton <a.brampton@lancaster.ac.uk>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 03 Feb 2010 14:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Brampton <a.brampton@lancaster.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: union-filesystem option is ignored
Date: Wed, 03 Feb 2010 13:56:43 +0000
Package: live-helper
Version: 2.0~a3-1
Severity: normal


I am building a live CD with a custom kernel (built from kernel.org sources). The problem I'm finding is that I configure my live CD with:
lh config --union-filesystem unionfs

which should imply I want to use the unionfs module instead of aufs. However, while booting the resulting binary.iso I get a error about not being able to mount a aufs file system. This is clearly not possible because I didn't compile my kernel with aufs and instead compiled it with unionfs.

I checked in the file config/chroot and there is a line which says:
LH_UNION_FILESYSTEM="unionfs"

So I suspect the LH scripts are ignoring/overriding this value.

Here are the other parameters I am passing to lh config:
lh config --bootappend-live  "locale=en_GB.UTF-8 keyb=uk" --mirror-bootstrap "$(APTREPO)" --mirror-chroot "$(APTREPO)"
lh config --distribution lenny --hostname vrouter-live --username root
lh config --packages "$(INSTALLPKG2)" --union-filesystem unionfs --linux-packages=none

thanks
Andrew

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (600, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.20     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-8     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools                    3.0.7-1    utilities for making and checking 
ii  fakeroot                      1.14.4-1   Gives a fake root environment
ii  genisoimage                   9:1.1.10-1 Creates ISO-9660 CD-ROM filesystem
pn  memtest86+ | memtest86        <none>     (no description available)
ii  mtools                        4.0.10-1   Tools for manipulating MSDOS files
pn  parted                        <none>     (no description available)
pn  squashfs-tools | genext2fs |  <none>     (no description available)
ii  sudo                          1.7.2p1-1  Provide limited super user privile
pn  syslinux | grub               <none>     (no description available)
pn  uuid-runtime                  <none>     (no description available)
pn  win32-loader                  <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#568261; Package live-helper. (Wed, 03 Feb 2010 15:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 03 Feb 2010 15:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 568261@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Andrew Brampton <a.brampton@lancaster.ac.uk>
Cc: 568261@bugs.debian.org
Subject: Re: Bug#568261: live-helper: union-filesystem option is ignored
Date: Wed, 03 Feb 2010 16:23:18 +0100
severity 568261 minor
tag 568261 pending
retitle 568261 drop removed parameters from lh_config
thanks

Andrew Brampton wrote:
> So I suspect the LH scripts are ignoring/overriding this value.

in 2.0, support for etch is dropped and as such, unionfs is not
supported anymore. however, lh_config from lh 2 has not got the cleanups
for the unsupported parameters yet (--genisoimage is another one of
those), this will be fixed for the next upload. thanks for spotting it.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Severity set to 'minor' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 03 Feb 2010 15:27:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 03 Feb 2010 15:27:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'drop removed parameters from lh_config' from 'live-helper: union-filesystem option is ignored' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 03 Feb 2010 15:27:08 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 17 Feb 2010 11:48:11 GMT) Full text and rfc822 format available.

Notification sent to Andrew Brampton <a.brampton@lancaster.ac.uk>:
Bug acknowledged by developer. (Wed, 17 Feb 2010 11:48:11 GMT) Full text and rfc822 format available.

Message #21 received at 568261-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 568261-close@bugs.debian.org
Subject: Bug#568261: fixed in live-helper 2.0~a7-1
Date: Wed, 17 Feb 2010 11:47:11 +0000
Source: live-helper
Source-Version: 2.0~a7-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_2.0~a7-1.diff.gz
  to main/l/live-helper/live-helper_2.0~a7-1.diff.gz
live-helper_2.0~a7-1.dsc
  to main/l/live-helper/live-helper_2.0~a7-1.dsc
live-helper_2.0~a7-1_all.deb
  to main/l/live-helper/live-helper_2.0~a7-1_all.deb
live-helper_2.0~a7.orig.tar.gz
  to main/l/live-helper/live-helper_2.0~a7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568261@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 17 Feb 2010 12:30:46 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 2.0~a7-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 568261 569619
Changes: 
 live-helper (2.0~a7-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Changing binary indices behaviour as suggested by Ben Armstrong
     <synrg@debian.org>, means we're now including binary sources by
     default (unless they are the same as chroot ones), and binary
     indices now only controls if apt lists need to be included in the
     resulting binary image.
   * Updating mirror locations in image autobuild script.
   * Adding support for gfxboot.
 .
   [ Tzafrir Cohen ]
   * For lh_local, checking first for helpers in LH_BASE.
 .
   [ Daniel Baumann ]
   * Dropping lh_ prefix from internal helpers, this is not user visible.
   * Updating to standards version 3.8.4.
   * Updating homepage field in control.
   * Calling /usr/sbin/chroot with full path in Chroot(); should fix path
     problems when using live-helper from a local source tree.
   * Also using sources.list snipplets for local packages just as for the
     other repositories (Closes: #569619).
   * Removing remaining leftovers from etch-only options --genisoimage
     and --union-filesystem removals (Closes: #568261).
   * Don't append and re-append try-usb parameter to bootappend-install
     options over and over again.
   * Correcting gramatical typo in lh_config manpage, thanks to Tzafrir
     Cohen <tzafrir.cohen@xorcom.com>.
   * Removing whitespaces at the end of bootappend-install assignements.
Checksums-Sha1: 
 52eae95b2ac09b99be4fc9e1badc37035394ff61 1242 live-helper_2.0~a7-1.dsc
 af5852aee09a599cce2261cf9beeaf2b8ab28400 2234386 live-helper_2.0~a7.orig.tar.gz
 39a1aa070ed50e64d320a5685e967ec582d4587f 30932 live-helper_2.0~a7-1.diff.gz
 d27aa1097b75f681726acdaa431002c08edc0642 1100812 live-helper_2.0~a7-1_all.deb
Checksums-Sha256: 
 75a60f894c76538fe4e531ee586f88777345b8969c771eddb2f11f2433a6ac6d 1242 live-helper_2.0~a7-1.dsc
 a62413f658ded6388d7ea8da4068a83386dca2400ed5366f15ba20f89d6ad566 2234386 live-helper_2.0~a7.orig.tar.gz
 c5250a33754f2a0c169d0f48688aa5b8c0b237d1ed4cdc3af1a90dc4bcb80d24 30932 live-helper_2.0~a7-1.diff.gz
 4c6bce35d0afc40e50a39ee28cb72d691cb861c550116ea29253bc4f6b18a250 1100812 live-helper_2.0~a7-1_all.deb
Files: 
 72f30da95c7c986f3b5b4da66035cafc 1242 misc optional live-helper_2.0~a7-1.dsc
 c4d9d2e9afe63acf1b951c43df48db2f 2234386 misc optional live-helper_2.0~a7.orig.tar.gz
 f514d76f819d96f6eccc73a102f55161 30932 misc optional live-helper_2.0~a7-1.diff.gz
 da600f25753d238684eea2d969efa43c 1100812 misc optional live-helper_2.0~a7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkt71I8ACgkQ+C5cwEsrK57ZFACgySLz4umWsv1IU3nKFpLapcOA
dZwAoJvfiqcipZ6LUlsRiet03qVwqDmV
=F0cR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Mar 2010 07:34:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:40:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.